## Delete Debit Reason

### cURL

```bash
curl --request DELETE \
  --url https://api.m3ter.com/organizations/{orgId}/picklists/debitreasons/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/picklists/debitreasons/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/picklists/debitreasons/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes

- **200**: Return the deleted Debit Reason
- **4XX**: Client Error
- **5XX**: Server Error

### Example Response
```json
{
  "id": "<string>",
  "version": 123,
  "code": "<string>",
  "name": "<string>",
  "archived": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**: string, header, required

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **orgId**: string, required, UUID of the Organization.
- **id**: string, required, UUID of the Debit Reason to delete.

### Response Fields

- **id**: UUID of the entity.
- **version**: version number.
- **code**: short code of the data entity.
- **name**: name of the data entity.
- **archived**: boolean flag indicating whether the entity is archived.
- **dtCreated**: DateTime when created (ISO-8601 format).
- **dtLastModified**: DateTime when last modified.
- **createdBy**: id of the user who created the debit reason.
- **lastModifiedBy**: id of the user who last modified the debit reason.
